
@IF NOT "%2" == "" goto :assignValues
@IF NOT "%1"  == "" goto :assignValues
goto :continue
:assignValues
IF NOT EXIST %2 goto :usage
IF NOT EXIST %1 goto :usage
set snaroot=%1
set system32root=%2
goto :CONTINUE

:usage
@ECHO "                                                                            "
@ECHO " Before running this file please review the accompanying readme file        "
@ECHO " JR17783.TXT for intallation instructions. You must stop all CSNT functions "
@ECHO " and all Window applications. INSTFIX will perform the following tasks:     "
@ECHO " Prerequisites are Communications Server 6.1.1 or above.                    "
@ECHO "                                                                            "
@ECHO " 1. Stop Services for APPNNODE, RAPISERVER, and LDLCSERV.                   "
@ECHO " 2. End processes for PCS_AGNT.EXE and RAPISERVER.EXE.                      "
@ECHO " 3. Backup files by renaming current files as *.*.preFIXPACK2 extension     "
@ECHO " 4. Copy all the FIX PACK 2 files                                           "
@VER | FIND "NT"
@IF %ERRORLEVEL% LSS 1 goto NTSTATION
@ECHO " 5. Since the output of VER command shows your PC as Windows 2000 platform, "
@ECHO "    LLC2W2K.SYS file will be copied as LLC2.SYS on your PC.                 "
@goto ECHOCONT
:NTSTATION
@ECHO " 5. Since the output of VER command shows your PC as Windows NT platform,   "
@ECHO "    LLC2NT.SYS file will be copied as LLC2.SYS on your PC.                  "
:ECHOCONT
@ECHO " 6. Restart LDLCSERV.EXE (Required for EEDLC Connection Networks)           "
@ECHO "                                                                            "
@ECHO " Fix pack2 is installed using INSTFIX.BAT in one of the following ways:     "
@ECHO "                                                                            "
@ECHO "  1) INSTFIX    (No parameters; Environment variables will be used)         "
@ECHO "  2) INSTFIX > FIXPACK2.TXT (Silent install)                                "
@ECHO "  3) INSTFIX c:\ibmcs c:\winnt\system32 (Specify the directories)           "
@ECHO "  4) INSTFIX c:\ibmcs c:\winnt\system32 > FIXPACK2.TXT (silect install)     "
@ECHO "                                                                            "
@ECHO " Use one of the above choices. CS/NT must be installed on the PC.           "
@ECHO " After running INSTFIX you should confirm the updates completed successfully"
@ECHO " by checking the file dates and sizes as documented in the JR17783.TXT file."
@GOTO END

:CONTINUE 
IF "%snaroot%"=="" goto :usage
IF "%systemroot%"=="" goto :usage
set system32root=%systemroot%\system32

@ECHO .
@ECHO "INSTALLATION OF FIX PACK 2 HAS STARTED"
@ECHO .
@ECHO "Stop APPNODE Service"
NET STOP APPNNODE
@ECHO "Stop LDLCSERV Service"
NET STOP LDLCSERV
@ECHO "Stop RAPISERVER service"
NET STOP RAPISERVER
@ver | find "NT"
@IF NOT %ERRORLEVEL% LSS 1 set copycmd = /y
@ECHO "Stop rapsiserver.exe and PCS_AGNT.EXE"
@ECHO "Ignore exception error - it means, rapiserver is already stopped"
killpcs_Agnt.exe
@ECHO "Delete ldlcserv registry key"
servicestest -d ldlcserv
@ECHO .
@ECHO "Started backing up files by renaming the files as *.*.prefixpack2"
ren "%system32root%\drivers"\anydlc.sys anydlc.sys.prefixpack2
ren "%system32root%\drivers"\anysosdd.sys anysosdd.sys.prefixpack2
ren "%system32root%\drivers"\anysosgw.sys anysosgw.sys.prefixpack2
ren "%system32root%\drivers"\appn.sys appn.sys.prefixpack2
ren "%system32root%\drivers"\appnapi.sys appnapi.sys.prefixpack2
ren "%system32root%\drivers"\appnbase.sys appnbase.sys.prefixpack2
ren "%system32root%\drivers"\appnnode.exe appnnode.exe.prefixpack2
ren "%system32root%\drivers"\csrcmds.exe csrcmds.exe.prefixpack2
ren "%system32root%\drivers"\ibmsa.exe ibmsa.exe.prefixpack2
if EXIST "%system32root%\drivers"\ldlcserv.exe ren "%system32root%\drivers"\ldlcserv.exe ldlcserv.exe.prefixpack2
if EXIST "%system32root%\drivers"\servicestest.exe ren "%system32root%\drivers"\servicestest.exe servicestest.exe.prefixpack2
ren "%system32root%\drivers"\llc2.sys llc2.sys.prefixpack2
ren "%system32root%\drivers"\pdlnampa.sys pdlnampa.sys.prefixpack2
ren "%system32root%\drivers"\pdlndldl.sys pdlndldl.sys.prefixpack2
ren "%system32root%\drivers"\pdlnsx25.sys pdlnsx25.sys.prefixpack2
if EXIST "%snaroot%\webadmin\bin"\waadmin.exe ren "%snaroot%\webadmin\bin"\waadmin.exe waadmin.exe.prefixpack2
if EXIST "%snaroot%\webadmin\bin"\waserver.exe ren "%snaroot%\webadmin\bin"\waserver.exe waserver.exe.prefixpack2
ren "%snaroot%\adminapi.dll" adminapi.dll.prefixpack2
ren "%snaroot%\adminserver.dll" adminserver.dll.prefixpack2
ren "%snaroot%\adrapiclient.dll" adrapiclient.dll.prefixpack2
ren "%snaroot%\adrapistubs.dll" adrapistubs.dll.prefixpack2
ren "%snaroot%\anutil.dll" anutil.dll.prefixpack2
ren "%snaroot%\anybsd.dll" anybsd.dll.prefixpack2
ren "%snaroot%\anyloadr.exe" anyloadr.exe.prefixpack2
ren "%snaroot%\anyqryss.dll" anyqryss.dll.prefixpack2
ren "%snaroot%\anytrace.dll" anytrace.dll.prefixpack2
ren "%snaroot%\anytrc.dll" anytrc.dll.prefixpack2
ren "%snaroot%\anytrfmt.dll" anytrfmt.dll.prefixpack2
ren "%snaroot%\anyws2in.dll" anyws2in.dll.prefixpack2
ren "%snaroot%\anyws32.dll" anyws32.dll.prefixpack2
ren "%snaroot%\anywsipc.dll" anywsipc.dll.prefixpack2
ren "%snaroot%\apitrc32.dll" apitrc32.dll.prefixpack2
ren "%snaroot%\msgio.dll" msgio.dll.prefixpack2
ren "%snaroot%\csdisplay.exe" csdisplay.exe.prefixpack2
ren "%snaroot%\cslba.dll" cslba.dll.prefixpack2
ren "%snaroot%\csmodify.exe" csmodify.exe.prefixpack2
ren "%system32root%\drivers"\csit.exe csit.exe.prefixpack2
ren "%snaroot%\csnia.dll" csnia.dll.prefixpack2
ren "%snaroot%\csnlg.dll" csnlg.dll.prefixpack2
ren "%system32root%\csntadas.dll" csntadas.dll.prefixpack2
ren "%snaroot%\csntpd.exe" csntpd.exe.prefixpack2
ren "%snaroot%\csquery.exe" csquery.exe.prefixpack2
ren "%snaroot%\cssec.dll" cssec.dll.prefixpack2
ren "%snaroot%\cssma.dll" cssma.dll.prefixpack2
ren "%snaroot%\csstart.exe" csstart.exe.prefixpack2
ren "%snaroot%\csstop.exe" csstop.exe.prefixpack2
ren "%snaroot%\cstlm.dll" cstlm.dll.prefixpack2
ren "%snaroot%\discovrd.dll" discovrd.dll.prefixpack2
ren "%snaroot%\dlctrc32.dll" dlctrc32.dll.prefixpack2
ren "%snaroot%\fmtcapi.dll" fmtcapi.dll.prefixpack2
ren "%snaroot%\fmtmsg.dll" fmtmsg.dll.prefixpack2
ren "%snaroot%\fmtnode.dll" fmtnode.dll.prefixpack2
ren "%snaroot%\hotstby.dll" hotstby.dll.prefixpack2
ren "%snaroot%\ibmsa.dll" ibmsa.dll.prefixpack2
ren "%snaroot%\ibmslp.dll" ibmslp.dll.prefixpack2
ren "%snaroot%\ipc.dll" ipc.dll.prefixpack2
ren "%snaroot%\ippmm.dll" ippmm.dll.prefixpack2
ren "%snaroot%\ldlc.dll" ldlc.dll.prefixpack2
ren "%snaroot%\mptncmm.dll" mptncmm.dll.prefixpack2
ren "%snaroot%\nodeinit.dll" nodeinit.dll.prefixpack2
ren "%snaroot%\ocdconvt.dll" ocdconvt.dll.prefixpack2
ren "%snaroot%\ocdnts50.dat" ocdnts50.dat.prefixpack2
ren "%snaroot%\pcscapi.dll" pcscapi.dll.prefixpack2
ren "%snaroot%\pcscfg.exe" pcscfg.exe.prefixpack2
ren "%snaroot%\pcsmfcx.dll" pcsmfcx.dll.prefixpack2
ren "%snaroot%\pcsnops.exe" pcsnops.exe.prefixpack2
ren "%snaroot%\pcssfcfg.dll" pcssfcfg.dll.prefixpack2
ren "%snaroot%\pcssfcom.dll" pcssfcom.dll.prefixpack2
ren "%snaroot%\pcssfnls.dll" pcssfnls.dll.prefixpack2
ren "%snaroot%\pcssfrrx.exe" pcssfrrx.exe.prefixpack2
ren "%snaroot%\pcs_agnt.exe" pcs_agnt.exe.prefixpack2
ren "%snaroot%\slpapi.dll" slpapi.dll.prefixpack2
ren "%snaroot%\snaformat.exe" snaformat.exe.prefixpack2
ren "%snaroot%\snapmm.dll" snapmm.dll.prefixpack2
ren "%snaroot%\snasm.dll" snasm.dll.prefixpack2
ren "%snaroot%\snmpxa.dll" snmpxa.dll.prefixpack2
ren "%snaroot%\socketsm.dll" socketsm.dll.prefixpack2
ren "%snaroot%\spelling.dll" spelling.dll.prefixpack2
ren "%snaroot%\sxmap.exe" sxmap.exe.prefixpack2
ren "%snaroot%\tn3270d.dll" tn3270d.dll.prefixpack2
ren "%snaroot%\tn3270wn.exe" tn3270wn.exe.prefixpack2
ren "%snaroot%\tn5250wn.exe" tn5250wn.exe.prefixpack2
ren "%snaroot%\tniptkt.dll" tniptkt.dll.prefixpack2
ren "%snaroot%\uninst.dll" uninst.dll.prefixpack2
ren "%snaroot%\vacgcon.exe" vacgcon.exe.prefixpack2
ren "%snaroot%\vacgverf.dll" vacgverf.dll.prefixpack2
ren "%snaroot%\vacgwin.exe" vacgwin.exe.prefixpack2
ren "%snaroot%\adaptinst.exe" adaptinst.exe.prefixpack2
ren "%snaroot%\ntcmpd.bat" ntcmpd.bat.prefixpack2
ren "%system32root%\message.dll" message.dll.prefixpack2
ren "%system32root%\wappc32.dll" wappc32.dll.prefixpack2
ren "%system32root%\wcpic32.dll" wcpic32.dll.prefixpack2
ren "%system32root%\wincsv32.dll" wincsv32.dll.prefixpack2
ren "%system32root%\winms32.dll" winms32.dll.prefixpack2
ren "%system32root%\winnof32.dll" winnof32.dll.prefixpack2
ren "%system32root%\winrui32.dll" winrui32.dll.prefixpack2
ren "%system32root%\winsli32.dll" winsli32.dll.prefixpack2
ren "%system32root%\truninst.exe" truninst.exe.prefixpack2
if EXIST "%snaroot%"\sdk\win32\h\winnof.h ren "%snaroot%"\sdk\win32\h\winnof.h winnof.h.prefixpack2
@ECHO .
@ECHO "Completed backup of files"
:startInstallation
@ECHO .
@ECHO "Installing the files from FIX PACK 2"
copy adaptinst.exe "%snaroot%"
copy adminapi.dll "%snaroot%"
copy adminserver.dll "%snaroot%"
copy adRAPIClient.dll "%snaroot%"
copy adRAPIStubs.dll "%snaroot%"
copy anutil.dll "%snaroot%"
copy anybsd.dll "%snaroot%"
copy anydlc.sys "%system32root%\drivers"
copy anyloadr.exe "%snaroot%"
copy anyqryss.dll "%snaroot%"
copy anysosdd.sys "%system32root%\drivers"
copy anysosgw.sys "%system32root%\drivers"
copy anytrace.dll "%snaroot%"
copy anytrc.dll "%snaroot%"
copy anytrfmt.dll "%snaroot%"
copy anyws2in.dll "%snaroot%"
copy anyws32.dll "%snaroot%"
copy anywsipc.dll "%snaroot%"
copy apitrc32.dll "%snaroot%"
copy appn.sys "%system32root%\drivers"
copy appnapi.sys "%system32root%\drivers"
copy appnbase.sys "%system32root%\drivers"
copy appnnode.exe "%system32root%\drivers"
copy csdisplay.exe "%snaroot%"
copy csit.exe "%system32root%\drivers"
copy cslba.dll "%snaroot%"
copy csmodify.exe "%snaroot%"
copy csnia.dll "%snaroot%"
copy csnlg.dll "%snaroot%"
copy csntadas.dll "%system32root%\"
copy CSNTPD.exe "%snaroot%"
copy csquery.exe "%snaroot%"
copy csrcmds.exe "%system32root%\drivers"
copy cssec.dll "%snaroot%"
copy cssma.dll "%snaroot%"
copy csstart.exe "%snaroot%"
copy csstop.exe "%snaroot%"
copy cstlm.dll "%snaroot%"
copy discovrd.dll "%snaroot%"
copy dlctrc32.dll "%snaroot%"
copy fmtcapi.dll "%snaroot%"
copy fmtmsg.dll "%snaroot%"
copy FMTNODE.DLL "%snaroot%"
copy hotstby.dll "%snaroot%"
copy ibmsa.dll "%snaroot%"
copy ibmsa.exe "%system32root%\drivers"
copy ibmslp.dll "%snaroot%"
copy ipc.dll "%snaroot%"
copy ippmm.dll "%snaroot%"
copy ldlc.dll "%snaroot%"
copy truninst.exe "%system32root%"
copy ldlcserv.exe "%system32root%\drivers"
copy servicestest.exe "%system32root%\drivers"
@VER | FIND "NT"
@IF %ERRORLEVEL% LSS 1 goto NTSTATION
@ECHO "                                                                            "
@ECHO " Since you are running Windows 2000 platform, we will copy LLC2W2K.SYS file "
@ECHO " as LLC2.SYS.                                                               "
@ECHO "                                                                            "
copy llc2w2k.sys "%system32root%\drivers\llc2.sys"
@goto ECHOCONT
:NTSTATION
@ECHO "                                                                            "
@ECHO " Since you are running Windows NT platform, we will copy LLC2NT.SYS file    "
@ECHO " as LLC2.SYS.                                                               "
@ECHO "                                                                            "
copy llc2nt.sys "%system32root%\drivers\llc2.sys"
:ECHOCONT
copy Message.dll "%system32root%\"
copy mptncmm.dll "%snaroot%"
copy NODEINIT.DLL "%snaroot%"
copy msgio.dll "%snaroot%"
copy ocdconvt.dll "%snaroot%"
copy ocdnts50.dat "%snaroot%"
copy Pcscapi.dll "%snaroot%"
copy pcscfg.exe "%snaroot%"
copy pcsmfcx.dll "%snaroot%"
copy pcsnops.exe "%snaroot%"
copy pcssfcfg.dll "%snaroot%"
copy pcssfcom.dll "%snaroot%"
copy pcssfnls.dll "%snaroot%"
copy pcssfrrx.exe "%snaroot%"
copy PCS_AGNT.EXE "%snaroot%"
copy pdlnampa.sys "%system32root%\drivers"
copy pdlndldl.sys "%system32root%\drivers"
copy pdlnsx25.sys "%system32root%\drivers"
copy slpapi.dll "%snaroot%"
copy snaformat.exe "%snaroot%"
copy snapmm.dll "%snaroot%"
copy snasm.dll "%snaroot%"
copy snmpxa.dll "%snaroot%"
copy socketsm.dll "%snaroot%"
copy SPELLING.DLL "%snaroot%"
copy sxmap.exe "%snaroot%"
copy tn3270d.dll "%snaroot%"
copy tn3270wn.exe "%snaroot%"
copy tn5250wn.exe "%snaroot%"
copy tniptkt.dll "%snaroot%"
copy uninst.dll "%snaroot%"
copy vacgcon.exe "%snaroot%"
copy vacgverf.dll "%snaroot%"
copy vacgwin.exe "%snaroot%"
if EXIST "%snaroot%\webadmin\bin\waadmin.exe.prefixpack2" copy waadmin.exe "%snaroot%\webadmin\bin"\
if EXIST "%snaroot%\webadmin\bin\waserver.exe.prefixpack2" copy waserver.exe "%snaroot%\webadmin\bin"\
copy wappc32.dll "%system32root%\"
copy wcpic32.dll "%system32root%\"
copy wincsv32.dll "%system32root%\"
copy winms32.dll "%system32root%\"
copy winnof32.dll "%system32root%\"
copy winrui32.dll "%system32root%\"
copy winsli32.dll "%system32root%\"
if EXIST "%snaroot%\sdk\win32\h\winnof.h.prefixpack2" copy winnof.h "%snaroot%\sdk\win32\h\"
copy ntcmpd.bat "%snaroot%"
copy killpcs_agnt.exe "%snaroot%"
@ECHO .
@ECHO "Update registry to 6112 level of CS/NT"
registrychange.exe 6112
@ECHO .
@ECHO "checking for PCOMM installation. Trace files will not be copied if PCOMM is installed."
if defined PCOMM_Root  goto :CompletedInstall 
call :InstallTraceFacility %snaroot%
goto :END
:InstallTraceFacility
@ECHO .
@ECHO "Making a backup and copying trcgui.exe and nstrc.dll files since PCOMM is not installed."
ren "%~d1\Program Files\IBM\Trace Facility\trcgui.exe" trcgui.exe.prefixpack2
ren "%system32root%\nstrc.dll" nstrc.dll.prefixpack2
copy nstrc.dll "%system32root%\"
copy TRCGUI.exe "%~d1\Program Files\IBM\Trace Facility"
:CompletedInstall
@ECHO .
@ECHO  "Starting "ldlcserv" Services"
servicestest -c ldlcserv
NET START LDLCSERV
@ECHO .
@ECHO "INSTALLATION OF FIX PACK 2 IS COMPLETE"
@ECHO .
@ECHO "Confirm the dates and sizes of the files updated as documented in JR17783.TXT."
@ECHO .
@ECHO "Shutdown and restart windows to reboot machine."
:END
